# Constant Field Values
summary of constants

## Contents

- swervelib.encoders.*
- swervelib.imu.*
- swervelib.motors.*

## swervelib.encoders.*

swervelib.encoders.CANCoderSwerve
Modifier and Type
Constant Field
Value
`private final double`
`STATUS_TIMEOUT_SECONDS`
`0.02`
swervelib.encoders.SwerveAbsoluteEncoder
Modifier and Type
Constant Field
Value
`public final int`
`maximumRetries`
`5`

## swervelib.imu.*

swervelib.imu.Pigeon2Swerve
Modifier and Type
Constant Field
Value
`private final double`
`STATUS_TIMEOUT_SECONDS`
`0.02`

## swervelib.motors.*

swervelib.motors.SwerveMotor
Modifier and Type
Constant Field
Value
`public final int`
`maximumRetries`
`5`
swervelib.motors.TalonFXSwerve
Modifier and Type
Constant Field
Value
`private final boolean`
`absoluteEncoder`
`false`
`private final boolean`
`factoryDefaultOccurred`
`false`
`private final double`
`STATUS_TIMEOUT_SECONDS`
`0.02`
swervelib.motors.TalonSRXSwerve
Modifier and Type
Constant Field
Value
`private final boolean`
`absoluteEncoder`
`false`
`private final boolean`
`factoryDefaultOccurred`
`false`